Bug 479347 - qemu-0.9.1 doesn't boot Vista CD
qemu-0.9.1 doesn't boot Vista CD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 19:54 EST by Tobias Mueller
Modified: 2009-12-18 02:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:33:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tobias Mueller 2009-01-08 19:54:13 EST
Description of problem:
I can't boot a Windows Vista CD (neither 32bit nor 64bit) with qemu 

Version-Release number of selected component (if applicable):
see below

How reproducible:
Everytime by running qemu

Steps to Reproduce:
1. Get a Vista CD
2. qemu-img create -f qcow2 vista.img 80G
3. qemu -hda vista.img -m 1024 -monitor stdio -S -cdrom Vista.Ultimate.X86.iso -boot d
  
Actual results:
Bluescreen with ***STOP: 0X000000A5 ( 0X0001000B, 0X50434146, 0XFFD0502C, 0X00000000 )

Expected results:
I expected qemu to boot the Windows CD fine.

Additional info:
$ yum info qemu
Loaded plugins: priorities, refresh-packagekit
1717 packages excluded due to repository priority protections
Installed Packages
Name       : qemu
Arch       : x86_64
Version    : 0.9.1
Release    : 6.fc9
Size       : 47 M
Repo       : installed
Summary    : QEMU is a FAST! processor emulator
URL        : http://www.qemu.org/
License    : GPLv2+ and LGPLv2+
Description: QEMU is a generic and open source processor emulator which achieves
           : a good emulation speed by using dynamic translation. QEMU has two
           : operating modes:   * Full system emulation. In this mode, QEMU
           : emulates a full system (for    example a PC), including a processor
           : and various peripherials. It can be    used to launch different
           : Operating Systems without rebooting the PC or    to debug system
           : code.  * User mode emulation. In this mode, QEMU can launch Linux
           : processes compiled    for one CPU on another CPU.  As QEMU requires
           : no host kernel patches to run, it is safe and easy to use.

Also see http://www.mail-archive.com/kvm-devel@lists.sourceforge.net/msg06040.html and http://sourceforge.net/tracker/index.php?func=detail&aid=1780032&group_id=180599&atid=893831 which seem to address this issue (back in 2007...)
Comment 1 Tobias Mueller 2009-01-08 20:00:46 EST
http://support.microsoft.com/kb/935806 writes:

Stop: 0x000000A5
A "Stop: 0x000000A5" error message typically indicates that the computer BIOS is incompatible with the Advanced Configuration and Power Interface (ACPI) standard that is supported in Windows Vista. However, this error can also occur because the computer hardware, the peripherals, or the drivers for those devices are incompatible with Windows Vista.
Comment 2 Tobias Mueller 2009-01-10 23:24:58 EST
Fedora ships a very old BIOS as of somewhere in 2007.
I copied /usr/share/qemu/bios.bin from my Ubuntu Box which is from 25 Sep 20008. With that BIOS it works as expected.
Comment 3 Bug Zapper 2009-06-09 23:28:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:18:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Tobias Mueller 2009-08-09 18:49:55 EDT
Still a problem with Fedora 10.
Comment 6 Bug Zapper 2009-11-18 05:42:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:33:14 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.